#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/proprietary_setter/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Proprietary Time Setter',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['pymygdala', 'schema', 'support'],
    keywords=[],
    packages=['proprietary_setter'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['proj_prop_period = proprietary_setter.commands:main']
    },
)
